Sources

The Sources resource in the Digital River API allows for representing and managing customer payment methods. It is crucial in facilitating transactions by securely storing relevant payment details. Businesses can efficiently create charges using the Sources resource, ensuring a seamless payment experience for their customers. See Source basics for more information.

Gets a source by identifier

get

Retrieve the details of a source by supplying its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Source identifier

Responses
chevron-right
200

OK.

application/json
idstringRead-onlyOptional

Unique identifier for the source.

Example: a6809a63-e6a9-4016-abbc-f33d19fccb5b
clientSecretstringOptional

Used for client-side retrieval using a public key.

Example: 52199c06-b261-4786-8609-d0a84185a0d2_2b72614b-77f6-4801-bd48-8982e314fdd5
createdTimestring · date-timeRead-onlyOptional

Time when the source was created.

Example: 2018-04-25T20:36:00Z
typestring · enumOptional

The payment type of the source. The payment type will correspond to another element in the source response that contains detailed information specific to the type. For example, a type of creditCard indicates that there is an object in the response named creditCard.

Example: creditCardPossible values:
currencystringOptional

Three-letter ISO currency code.

Example: USD
amountnumber · doubleOptional

Amount associated with the source. Once ready, the source will be charged this amount. Required for single_use sources.

Example: 1180.26
reusablebooleanOptional

If true, you can reuse this source, if false, only once.

Example: true
alipayobject · AlipayOptional
applePayobject · ApplePayOptional
codJapanobject · JapanCODOptional
bankTransferobject · BankTransferOptional
mstsobject · MSTSOptional
bancontactobject · BancontactOptional
idealobject · IdealOptional
amazonPayobject · AmazonPayOptional
afterPayobject · AfterPayOptional
ccAvenueobject · CCAvenueOptional
flowstring · enumOptional

The authentication flow of the source.

Example: standardPossible values:
statestring · enumOptional

The status of the source, one of pending_funds, pending_redirect, requires_action, cancelled, chargeable, consumed or failed. You can only use chargeable sources to create a charge.

Example: chargeablePossible values:
customerIdstringRead-onlyOptional

Unique identifier of a customer.

Example: 5823594809
paymentSessionIdstringOptional

Tracks the process of collecting a payment.

Example: 8cecaa32-f692-44cc-b103-4cf24dc93913
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
get
/sources/{id}

Posts a source

post

Create a secondary source.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
paymentSessionIdstringOptional

Unique identifier of the session

Example: {{checkout_session-id}}
amountnumber · doubleOptional

The amount associated to the order

Example: 20
typestring · enumRequired

The type of source

Example: customerCreditPossible values:
upstreamIdstringOptional

Unique identifier associated to an upstream system

Example: custCredit_orderId_16008796
customerCreditobject · CustomerCreditOptional
Responses
post
/sources

Last updated